FcFontSetMatch(3) |  | FcFontSetMatch(3)

# NAME

FcFontSetMatch - Return the best font from a set of font sets

# SYNOPSIS

    #include <fontconfig/fontconfig.h>

    FcPattern * FcFontSetMatch (FcConfig *config, FcFontSet **sets, intnsets, FcPattern *pattern, FcResult *result);

# DESCRIPTION

Finds the font in sets most closely matching pattern and returns the result of FcFontRenderPrepare for that font and the provided pattern. This function should be called only after FcConfigSubstitute and FcDefaultSubstitute have been called for pattern; otherwise the results will not be correct. If config is NULL, the current configuration is used. Returns NULL if an error occurs during this process.

30 8月 2018 | Fontconfig 2.13.1